Home » Infrastructure » Unix » ORACLE BINARIES INSTALLATION FAILS BECAUSE THE RUNINSTALLER THINKS IS A DIFFERENT VERSION ???? (ORACLE 10G. RELEASE 2, SUN.)
ORACLE BINARIES INSTALLATION FAILS BECAUSE THE RUNINSTALLER THINKS IS A DIFFERENT VERSION ???? [message #301509] Wed, 20 February 2008 21:54 Go to next message
geeklol
Messages: 59
Registered: March 2005
Member
EVEN THOUGH I AM INSTALLING ORACLE BINARIES FOR VERSION 10.2.0.1.0, FOR SOME REASON WHEN I INVOKE runInstaller, IT THINKS THAT I AM TRYING TO INSTALL ORACLE BINARIES FOR AN EARLIER VERSION i.e. 10.1.0.0 AND IT DIES.

FYI, i also have oracle version 9i running on the same box. but that shouldn't matter, correct?

My Operating system,

qa5s90db01> isainfo -kv
64-bit sparcv9 kernel modules

------

I installed the oracle binaries for 10g from OTN,
Oracle Database 10g Release 2 (10.2.0.1.0)
Enterprise/Standard Edition for Solaris Operating System (SPARC) (64-bit)

You must accept the OTN License Agreement to download this software.
Accept License Agreement | Decline License Agreement

Thank you for accepting the OTN License Agreement; you may now download this software.

Download the Complete Files
10gr2_db_sol.cpio.gz (873,334,160 bytes) (cksum - 1491417549)
-------------

Then when i run runInstaller, it thinks that it is running for version 10.1.0.3.0,

qa5s90db01> runInstaller
Starting Oracle Universal Installer...

Checking installer requirements...

Checking operating system version: must be 5.8 or 5.9. Actual 5.9
Passed

Checking Temp space: must be greater than 150 MB. Actual 5145 MB Passed
Checking monitor: must be configured to display at least 256 colors. Actual 65536 Passed

All installer requirements met.

Preparing to launch Oracle Universal Installer from /tmp/OraInstall2008-02-20_07-31-31PM. Please wait ...qa5s90db01> Oracle Universal Installer, Version 10.1.0.3.0 Production
Copyright (C) 1999, 2004, Oracle. All rights reserved.

Warning: Cannot convert string "-monotype-arial-regular-r-normal--*-140-*-*-p-*-iso8859-1" to type FontStruct
---------

Then when i try to install the oracle binaries, it dies saying you need to install oracle version release 10.2.0.0 or later.


Re: ORACLE BINARIES INSTALLATION FAILS BECAUSE THE RUNINSTALLER THINKS IS A DIFFERENT VERSION ???? [message #301511 is a reply to message #301509] Wed, 20 February 2008 22:27 Go to previous messageGo to next message
geeklol
Messages: 59
Registered: March 2005
Member
An Update, here's what's going on,

Since like i said there is an oracle version 9i on the machine as well, when i try to runInstaller it is looking at the runInstaller version from 9i.
So when i try to do ./runInstaller then it says killed...? What do i do to make sure that i am running the runInstaller from where i want to run the installer from.


e.g.
a5s90db01:/db03/sun_10_binaries_rel2> which runInstaller
/usr/local/oracle/9.2.0/bin/runInstaller

qa5s90db01:/db03/sun_10_binaries_rel2> ./runInstaller
Killed
Re: ORACLE BINARIES INSTALLATION FAILS BECAUSE THE RUNINSTALLER THINKS IS A DIFFERENT VERSION ???? [message #301670 is a reply to message #301511] Thu, 21 February 2008 05:20 Go to previous message
Mahesh Rajendran
Messages: 10672
Registered: March 2002
Location: oracleDocoVille
Senior Member
Account Moderator
It is your environment.
Standard Oracle Literature and Practices always recommend to set exclusive paths for each install(Each version in a different home).
So set your ORACLE_HOME,ORACLE_PATH to a new area, invoke the runinstaller that belongs to 10g.

Previous Topic: unix script to takes the old data from a TXT file and compress them into new file
Next Topic: Sending messages
Goto Forum:
  


Current Time: Sat Dec 10 04:54:45 CST 2016

Total time taken to generate the page: 0.06749 seconds